Zammad, Ubuntu 20.04 and SSLv3

  • Used Zammad version: 4.1.0-1627506169.2b97d5a1
  • Used Zammad installation type: package
  • Operating system: Ubuntu 20.04.2 LTS

Expected behavior:

Actual behavior:

  • Get SSL_connect returned=1 errno=0 state=error: unsupported protocol

I have rebuilded openssl with sslv3 support and now i can communicate with smtp 983 port, but Zammad still refuses my tries to connect to it. Does Zammad use some local openssl version?

update 1:
Based on this

At some point zammad dropped tls1, which leads me to the question - is it possible to lead me to files of zammad’s openssl?

Update 2:
Welp, on Ubuntu 18.04 everything is working as intended. So… Any workaround for 20.04?

No as the ciphers your mail server uses are no longer shipped OS wide.
If you can’t make it run with a custom openssl version it won’t run.

Zammad uses OS dependencies.

Roger, thank you for clarification.
May you also assist with following questions?

This topic was automatically closed 120 days after the last reply. New replies are no longer allowed.